package com.bofeng.dao;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.bofeng.entity.Place;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface PlaceMapper extends BaseMapper<Place> {

    List<Place> selectAll();

    List<Place> selectAllPlace();

    List<Place> selectByUserId(@Param("userId") Long userId);

    int checkPlaceNameCount(Place place);
}
